#include <iostream>
#include <vector>
#include <utility>
#include <map>

using namespace std;// sabiranje vektora



int main()
{
    int n,xi,yi,ima;
    pair<int,int> heh;
    cin >> n;
    vector< pair<int,int> > kordinate(n);
    map<pair<int,int>,int> tacke;
    for(int i=0;i<n;i++){
        cin >> kordinate[i].first >> kordinate[i].second;
    }
    ima=0;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){ //sortiram tako da je x uvek pozitivno
            heh.first=kordinate[i].first-kordinate[j].first;
            heh.second=kordinate[i].second-kordinate[j].second;
            tacke[heh]++;
        }
    }
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){ //sortiram tako da je x uvek pozitivno
            heh.first=2*(kordinate[i].first-kordinate[j].first);
            heh.second=2*(kordinate[i].second-kordinate[j].second);
            ima+=tacke[heh];
            heh.first=(-1)*2*(kordinate[i].first-kordinate[j].first);
            heh.second=(-1)*2*(kordinate[i].second-kordinate[j].second);
            ima+=tacke[heh];
        }
    }
    cout << ima << endl;
    return 0;
}